Page MenuHomePhabricator

Get a cloak for morebots & labs-morebots
Closed, ResolvedPublic

Description

Morebots is currently registered, and logged in:

03:14 -NickServ(NickServ@services.)- Information on qa-morebots (account morebots):
03:14 -NickServ(NickServ@services.)- Last addr  : tools.more@208.80.155.221
03:14 -NickServ(NickServ@services.)- Last seen  : now
03:14 -NickServ(NickServ@services.)- *** End of Info ***

03:15 -NickServ(NickServ@services.)- Information on labs-morebots (account labs-morebots):
03:15 -NickServ(NickServ@services.)- Last seen  : now
03:15 -NickServ(NickServ@services.)- *** End of Info ***

03:16 -NickServ(NickServ@services.)- Information on morebots (account morebots):
03:16 -NickServ(NickServ@services.)- Last addr  : tools.more@208.80.155.221
03:16 -NickServ(NickServ@services.)- Last seen  : now
03:16 -NickServ(NickServ@services.)- *** End of Info ***

03:22 -NickServ(NickServ@services.)- Information on analytics-logbot (account analytics-logbot):
03:22 -NickServ(NickServ@services.)- Last addr  : ~analytics@208.80.155.255
03:22 -NickServ(NickServ@services.)- Last seen  : now
03:22 -NickServ(NickServ@services.)- *** End of Info ***

so we have 3 different accounts currently, so we would need 2 cloaks. My proposal is @Wikimedia/bot/morebots, @Wikimedia/bot/labs-morebots and @Wikimedia/bot/analytics-morebots (similar to wm-bot who has @Wikimedia/bot/wm-bot)

On the programm side, we don't need a change, because the bot already logs in. We just need to decide, if we want to have such a cloak, and then tell that the IRC-GroupContacts, so that they can to the steps to set one.

Other opinions?

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJul 17 2016, 1:24 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript

Once you decide, you'll have to go through the standard process of requesting cloaks, as described here.

chasemp triaged this task as Medium priority.Jul 25 2016, 2:09 PM

Hi, I can file for the request. But I need to know the owner of the bot with access, since the request will include verifying that you own the bot.

bd808 added a subscriber: bd808.Oct 28 2016, 5:17 AM

Stashbot has taken over the !log duties in all channels for morebots and it does have a cloak.

bd808 lowered the priority of this task from Medium to Low.Oct 28 2016, 5:18 AM
Krinkle closed this task as Resolved.Feb 6 2017, 11:40 PM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.

Stashbot has an @wikimedia/bot/stashbot cloak.